diff --git a/src/main/java/net/minecraft/server/net/command/commands/ColorCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
similarity index 86%
rename from src/main/java/net/minecraft/server/net/command/commands/ColorCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
index 3174b33bc..7b1c5c093 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/ColorCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandColor.java
@@ -10,16 +10,16 @@ import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.TextFormatting;
 import net.minecraft.core.net.command.CommandSource;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.command.util.CommandHelper;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.List;
 
-public class ColorCommand {
+public class CommandColor {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         CommandNode<CommandSource> command = dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("color")
             .then(LiteralArgumentBuilder.<CommandSource>literal("get")
@@ -28,21 +28,21 @@ public class ColorCommand {
                     if (!(source instanceof IServerCommandSource))
                         throw CommandExceptions.multiplayerWorldOnly().create();
 
-                    ServerPlayer player = (ServerPlayer) source.getSender();
+                    PlayerServer player = (PlayerServer) source.getSender();
                     if (player == null) throw CommandExceptions.notInWorld().create();
 
                     TextFormatting color = TextFormatting.get(player.chatColor);
                     source.sendMessage(I18n.getInstance().translateKeyAndFormat("command.commands.color.get.success", color + color.getNames()[0]));
                     return Command.SINGLE_SUCCESS;
                 })
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.player())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.player())
                     .executes(c -> {
                         CommandSource source = c.getSource();
                         if (!(source instanceof IServerCommandSource))
                             throw CommandExceptions.multiplayerWorldOnly().create();
 
                         EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
-                        ServerPlayer player = (ServerPlayer) entitySelector.get(source).get(0);
+                        PlayerServer player = (PlayerServer) entitySelector.get(source).get(0);
 
                         TextFormatting color = TextFormatting.get(player.chatColor);
                         source.sendMessage(I18n.getInstance().translateKeyAndFormat("command.commands.color.get.success_other", color + color.getNames()[0]));
@@ -52,84 +52,84 @@ public class ColorCommand {
                 .then(LiteralArgumentBuilder.<CommandSource>literal("white")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 0);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 0);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("orange")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 1);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 1);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("magenta")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 2);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 2);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("light_blue")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 3);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 3);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("yellow")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 4);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 4);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("lime")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 5);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 5);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("pink")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 6);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 6);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("gray")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 7);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 7);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("light_gray")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 8);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 8);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("cyan")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 9);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 9);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("purple")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 10);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 10);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("blue")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 11);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 11);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("brown")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 12);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 12);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("green")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 13);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 13);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("red")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 14);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 14);
                     }))
                 .then(LiteralArgumentBuilder.<CommandSource>literal("black")
                     .executes(c -> {
                         CommandSource source = c.getSource();
-                        return setColor((ServerPlayer) source.getSender(), source, (byte) 15);
+                        return setColor((PlayerServer) source.getSender(), source, (byte) 15);
                     }))
-                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
+                .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
                     .requires(CommandSource::hasAdmin)
                     .then(LiteralArgumentBuilder.<CommandSource>literal("white")
                         .executes(c -> {
@@ -137,7 +137,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 0);
+                                setColor((PlayerServer) entity, source, (byte) 0);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -147,7 +147,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 1);
+                                setColor((PlayerServer) entity, source, (byte) 1);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -157,7 +157,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 2);
+                                setColor((PlayerServer) entity, source, (byte) 2);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -167,7 +167,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 3);
+                                setColor((PlayerServer) entity, source, (byte) 3);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -177,7 +177,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 4);
+                                setColor((PlayerServer) entity, source, (byte) 4);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -187,7 +187,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 5);
+                                setColor((PlayerServer) entity, source, (byte) 5);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -197,7 +197,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 6);
+                                setColor((PlayerServer) entity, source, (byte) 6);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -207,7 +207,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 7);
+                                setColor((PlayerServer) entity, source, (byte) 7);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -217,7 +217,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 8);
+                                setColor((PlayerServer) entity, source, (byte) 8);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -227,7 +227,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 9);
+                                setColor((PlayerServer) entity, source, (byte) 9);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -237,7 +237,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 10);
+                                setColor((PlayerServer) entity, source, (byte) 10);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -247,7 +247,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 11);
+                                setColor((PlayerServer) entity, source, (byte) 11);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -257,7 +257,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 12);
+                                setColor((PlayerServer) entity, source, (byte) 12);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -267,7 +267,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 13);
+                                setColor((PlayerServer) entity, source, (byte) 13);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -277,7 +277,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 14);
+                                setColor((PlayerServer) entity, source, (byte) 14);
                             }
                             return Command.SINGLE_SUCCESS;
                         }))
@@ -287,7 +287,7 @@ public class ColorCommand {
                             EntitySelector entitySelector = c.getArgument("target", EntitySelector.class);
                             List<? extends Entity> entities = entitySelector.get(source);
                             for (Entity entity : entities) {
-                                setColor((ServerPlayer) entity, source, (byte) 15);
+                                setColor((PlayerServer) entity, source, (byte) 15);
                             }
                             return Command.SINGLE_SUCCESS;
                         })))));
@@ -295,7 +295,7 @@ public class ColorCommand {
             .redirect(command));
     }
 
-    private static int setColor(ServerPlayer player, CommandSource source, byte colorId) throws CommandSyntaxException {
+    private static int setColor(PlayerServer player, CommandSource source, byte colorId) throws CommandSyntaxException {
         if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
         if (player == null) throw CommandExceptions.notInWorld().create();
diff --git a/src/main/java/net/minecraft/server/net/command/commands/DeopCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
similarity index 90%
rename from src/main/java/net/minecraft/server/net/command/commands/DeopCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
index 318c11636..44e96a566 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/DeopCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandDeop.java
@@ -8,23 +8,23 @@ import com.mojang.brigadier.exceptions.SimpleCommandExceptionType;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
 import net.minecraft.core.net.packet.UpdatePlayerProfilePacket;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.List;
 
-public class DeopCommand {
+public class CommandDeop {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.deop.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("deop")
             .requires(CommandSource::hasAdmin)
-            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", EntityArgumentType.players())
+            .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("target", ArgumentTypeEntity.players())
                 .executes(c -> {
                     CommandSource source = c.getSource();
                     if (!(source instanceof IServerCommandSource))
@@ -37,7 +37,7 @@ public class DeopCommand {
                     boolean deoppedSomeone = false;
 
                     for (Entity entity : entities) {
-                        ServerPlayer player = (ServerPlayer) entity;
+                        PlayerServer player = (PlayerServer) entity;
                         if (player.isOperator()) {
                             deoppedSomeone = true;
                             server.playerList.deopPlayer(player.uuid);
diff --git a/src/main/java/net/minecraft/server/net/command/commands/DifficultyCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
similarity index 99%
rename from src/main/java/net/minecraft/server/net/command/commands/DifficultyCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
index e5cfa81ee..16a0b2eb9 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/DifficultyCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandDifficulty.java
@@ -14,7 +14,7 @@ import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import java.util.Arrays;
 import java.util.List;
 
-public class DifficultyCommand {
+public class CommandDifficulty {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("difficulty")
                 .requires(CommandSource::hasAdmin)
diff --git a/src/main/java/net/minecraft/server/net/command/commands/EmotesCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
similarity index 97%
rename from src/main/java/net/minecraft/server/net/command/commands/EmotesCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
index 1e325dddc..b1adb5fb2 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/EmotesCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandEmotes.java
@@ -9,7 +9,7 @@ import net.minecraft.core.net.command.CommandSource;
 import java.util.ArrayList;
 import java.util.Map;
 
-public class EmotesCommand {
+public class CommandEmotes {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("emotes")
             .executes(c -> {
diff --git a/src/main/java/net/minecraft/server/net/command/commands/KickCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
similarity index 87%
rename from src/main/java/net/minecraft/server/net/command/commands/KickCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
index 642ccdc4b..a0e1cd6bf 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/KickCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandKick.java
@@ -7,13 +7,13 @@ import com.mojang.brigadier.builder.RequiredArgumentBuilder;
 import com.mojang.brigadier.exceptions.DynamicCommandExceptionType;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.CommandSource;
-import net.minecraft.core.net.command.arguments.EntityArgumentType;
+import net.minecraft.core.net.command.arguments.ArgumentTypeEntity;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.command.helpers.EntitySelector;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.command.IServerCommandSource;
 
-public class KickCommand {
+public class CommandKick {
     private static final DynamicCommandExceptionType FAILURE =
         new DynamicCommandExceptionType(arg -> () -> I18n.getInstance().translateKeyAndFormat("command.commands.kick.exception_failure", arg));
 
@@ -22,12 +22,12 @@ public class KickCommand {
             (
                 LiteralArgumentBuilder.<CommandSource>literal("kick")
                     .requires(CommandSource::hasAdmin)
-                    .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("player", EntityArgumentType.player()).executes(c -> {
+                    .then(RequiredArgumentBuilder.<CommandSource, EntitySelector>argument("player", ArgumentTypeEntity.player()).executes(c -> {
                             CommandSource source = c.getSource();
                             if (!(source instanceof IServerCommandSource)) throw CommandExceptions.multiplayerWorldOnly().create();
 
                             EntitySelector entitySelector = c.getArgument("player", EntitySelector.class);
-                            ServerPlayer playerToKick = (ServerPlayer) entitySelector.get(source).get(0);
+                            PlayerServer playerToKick = (PlayerServer) entitySelector.get(source).get(0);
                             if(playerToKick != null)
                             {
                                 playerToKick.playerNetServerHandler.kickPlayer("Kicked by admin");
diff --git a/src/main/java/net/minecraft/server/net/command/commands/ListCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandList.java
similarity index 98%
rename from src/main/java/net/minecraft/server/net/command/commands/ListCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandList.java
index 40ea0835b..324a49007 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/ListCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandList.java
@@ -11,7 +11,7 @@ import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 
-public class ListCommand {
+public class CommandList {
     private static final SimpleCommandExceptionType FAILURE = new SimpleCommandExceptionType(() -> I18n.getInstance().translateKey("command.commands.list.exception_failure"));
 
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
diff --git a/src/main/java/net/minecraft/server/net/command/commands/MeCommand.java b/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
similarity index 98%
rename from src/main/java/net/minecraft/server/net/command/commands/MeCommand.java
rename to src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
index fc1cddca8..bec59aa25 100644
--- a/src/main/java/net/minecraft/server/net/command/commands/MeCommand.java
+++ b/src/main/java/net/minecraft/server/net/command/commands/CommandMe.java
@@ -11,7 +11,7 @@ import net.minecraft.server.net.command.IServerCommandSource;
 import net.minecraft.core.net.command.exceptions.CommandExceptions;
 import net.minecraft.core.net.packet.ChatPacket;
 
-public class MeCommand {
+public class CommandMe {
     public static void register(CommandDispatcher<CommandSource> dispatcher) {
         dispatcher.register(LiteralArgumentBuilder.<CommandSource>literal("me")
             .then(RequiredArgumentBuilder.<CommandSource, Boolean>argument("asterisk", BoolArgumentType.bool())
